Bug 1219871

Summary: don't require pre-created directory in /var
Product: [Fedora] Fedora Reporter: Colin Walters <walters>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: awilliam, bcodding, bfields, danofsatx, jlayton, robatino, steved, walters
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard: RejectedBlocker
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1219700
: 1266946 (view as bug list) Environment:
Last Closed: 2016-03-17 12:21:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1219700, 1220938    
Bug Blocks:    
Attachments:
Description Flags
0001-systemd-Set-var-lib-nfs-rpc_pipefs.mount-After-tmpfi.patch none

Description Colin Walters 2015-05-08 14:21:47 UTC
+++ This bug was initially created as a clone of Bug #1219700 +++

Description of problem:

Booting Atomic has a failed systemd unit. Details below:

-bash-4.3# systemctl status var-lib-nfs-rpc_pipefs.mount
‚óŹ var-lib-nfs-rpc_pipefs.mount - RPC Pipe File System
   Loaded: loaded (/usr/lib/systemd/system/var-lib-nfs-rpc_pipefs.mount; static; vendor preset: disabled)
   Active: failed (Result: exit-code) since Thu 2015-05-07 15:50:56 UTC; 5h 45min ago
    Where: /var/lib/nfs/rpc_pipefs
     What: sunrpc
  Process: 460 ExecMount=/bin/mount sunrpc /var/lib/nfs/rpc_pipefs -n -t rpc_pipefs (code=exited, status=32)

May 07 15:50:56 localhost.localdomain mount[460]: mount: mount point /var/lib/nfs/rpc_pipefs does not exist
May 07 15:50:56 localhost.localdomain systemd[1]: var-lib-nfs-rpc_pipefs.mount mount process exited, code=exited status=32
May 07 15:50:56 localhost.localdomain systemd[1]: Failed to mount RPC Pipe File System.
May 07 15:50:56 localhost.localdomain systemd[1]: Unit var-lib-nfs-rpc_pipefs.mount entered failed state.


Version-Release number of selected component (if applicable):

Booted Fedora-Cloud-Atomic-22_Beta_TC8-20150405.x86_64.qcow2:
-bash-4.3# atomic host status
  TIMESTAMP (UTC)         VERSION   ID             OSNAME            REFSPEC                                                
* 2015-04-15 12:50:37     22.39     a8d8656489     fedora-atomic     fedora-atomic:fedora-atomic/f22/x86_64/docker-host
-bash-4.3# rpm -q rpm-ostree
rpm-ostree-2015.3-7.fc22.x86_64

How reproducible:

Always


Steps to Reproduce:
1. Run the F22 atomic image.
2. Look at systemctl output

--- Additional comment from Colin Walters on 2015-05-08 08:57:41 EDT ---

Ok so this is nfs-utils wanting a new empty directory in /var for a private mount point.

Possible fixes:

 - Move the directory to /run/nfs, have it be created by systemd-tmpfiles
 - Have nfs-utils create the directory
 - Change rpm-ostree to make empty directories

Comment 1 Colin Walters 2015-05-09 16:17:41 UTC
Created attachment 1023799 [details]
0001-systemd-Set-var-lib-nfs-rpc_pipefs.mount-After-tmpfi.patch

Comment 2 Fedora Blocker Bugs Application 2015-05-09 16:19:14 UTC
Proposed as a Blocker and Freeze Exception for 22-final by Fedora user walters using the blocker tracking app because:

 This error occurs on first boot, and we really want all services to start out of the box on a clean Atomic installation.

Comment 3 Dan Mossor [danofsatx] 2015-05-11 19:38:47 UTC
Discussed at the 2015-05-11 blocker review meeting[0]. Voted as AcceptedBlocker.

AGREED: 1219871 - RejectedBlocker AcceptedFreezeException - Atomic is not a release-blocking image and this bug does not affect any blocking images we know about, but accepted as an FE as fixing Atomic is a good thing if possible (adamw, 17:18:40)

[0]: http://meetbot.fedoraproject.org/fedora-blocker-review/2015-05-11/

Comment 4 Fedora Update System 2015-05-21 18:13:23 UTC
nfs-utils-1.3.2-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nfs-utils-1.3.2-7.fc22

Comment 5 Adam Williamson 2015-06-10 22:26:48 UTC
Clearing F22 accepted / nominated freeze exception status as F22 has shipped, per https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Trackers . You may nominate as an Alpha, Beta or Final freeze exception for F23 if desired using the web application - https://qa.fedoraproject.org/blockerbugs/propose_bug (though it is not currently set up for F23) - or by marking the bug as blocking AlphaFreezeException, BetaFreezeException, or FinalFreezeException.

Comment 6 Jan Kurik 2015-07-15 14:10:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23